<?php
/**
 * A nice centered 3-column layout
 *
 * @link http://www.vdp-digital.com/ for any questions
 * --------------------------------------------------------------
 *
 * - Ready for Yacs 8.2
 * @author Thierry Pinelli [email]thierry.pinelli@vdp-digital.com[/email]
 * @author Bernard Paques [email]bernard.paques@bigfoot.com[/email]
 * @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
 */

// this one has to be included
if(count(get_included_files()) < 3) {
	echo 'Script must be included';
	return;
}

// build the prefix only once
if(!isset($context['embedded']) || ($context['embedded'] == 'prefix')) {

	// add language information, if known
	if(isset($context['page_language']))
		$language = ' lang="'.$context['page_language'].'" xml:lang="'.$context['page_language'].'" ';
	else
		$language = '';

	// xml prefix
	echo '<'.'?xml version="1.0" encoding="'.$context['charset'].'"?'.'>'."\n"
		.'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">'."\n"
		.'<html '.$language.' xmlns="http://www.w3.org/1999/xhtml">'."\n"
		.'<head>'."\n";

	// give the charset to the w3c validator...
	echo "\t".'<meta http-equiv="Content-Type" content="text/html; charset='.$context['charset'].'" />'."\n";

	// set icons for this site
	if(!$context['site_icon']) {
		echo "\t".'<link rel="shortcut icon" href="'.$context['url_to_root'].'skins/totem930/totem.ico" type="image/x-icon" />'."\n";
		echo "\t".'<link rel="icon" href="'.$context['url_to_root'].'skins/totem930/totem.ico" type="image/x-icon" />'."\n";
	}
	
	// we have one style sheet for everything -- media="all" means it is not loaded by Netscape Navigator 4
	echo "\t".'<link rel="stylesheet" href="'.$context['url_to_root'].'skins/totem930/totem930.css" type="text/css" media="all" />'."\n";

	// nice titles
	echo "\t".'<link rel="stylesheet" href="'.$context['url_to_root'].'skins/totem930/nicetitle.css" type="text/css" media="all" />'."\n";

	// other head directives
	echo $context['page_header'];

	// end of the header
	echo '</head>'."\n";

	// start the body
	Page::body();

	// limit the horizontal size of everything, and center it in the page
	echo '<div id="wrapper">'."\n";

	// the header panel comes before everything
	echo '<div id="header_panel">'."\n";

	// the site name -- can be replaced, through CSS, by an image -- access key 1
	if($context['site_name'] && is_callable(array('i18n', 's')))
		echo "\t".'<p id="header_title"><a href="'.$context['url_to_root'].'" title="'.encode_field(i18n::s('Return to front page')).'" accesskey="1">'.$context['site_name'].'</a></p>'."\n";

	// site slogan
	if($context['site_slogan'])
		echo "\t".'<p id="header_slogan">'.$context['site_slogan'].'</p>'."\n";

	// end of the header panel
	echo '</div>'."\n";
	
	// the extra panel
	echo '<div id="extra_panel">'."\n";

	// display complementary information
	Page::extra_panel(0);

	// end of the extra panel
	echo '</div>'."\n";

	// the main panel
	echo '<div id="main_panel">'."\n";

	// display bread crumbs if not at the front page; if not defined, only the 'Home' link will be displayed
		Page::bread_crumbs(1);

	// display main content
	Page::content();

// prefix ends here
}

// build the suffix only once
if(!isset($context['embedded']) || ($context['embedded'] == 'suffix')) {

	// end of the main panel
	echo '</div>'."\n";
		// the side panel
	echo '<div id="side_panel">'."\n";

	// display side content, including extra data
	Page::side();

	// end of the side panel
	echo '</div>'."\n";
	// the footer panel comes after everything else
	echo '<div id="footer_panel">';

	// display standard footer
	Page::footer();
	
	//Copy this for includ other external link
	echo "\t".'<a href="http://www.vdp-digital.com/" title="Skin Yacs -totem 930- by VDP-Digital.com"><img src="'.$context['url_to_root'].'skins/totem930/icons/vdp-designed.png" alt="designed vdp-digital"/></a>'."\n";
	
	// end of the footer panel
	echo '</div>'."\n";

	// end of the wrapper
	echo '</div>'."\n";

	// insert the dynamic footer, if any, including inline scripts
	echo $context['page_footer'];

	// nicetitle
	echo "\t".'<script type="text/javascript" src="'.$context['url_to_root'].'skins/totem930/nicetitle.js"></script>'."\n";

	// end of page
	echo '</body>'."\n"
		.'</html>';

// suffix ends here
}

?>